package com.eactive.eai.adapter.wca.data;

/** 
* 1. 기능 : 백업 전환 / 복구 데이타 
* 2. 처리 개요 : 
* 3. 주의사항
*
* @author  : 
* @version : v 1.0.0
* @see : 
* @since   :
*/
public class WCAAdapterInfoCmd extends WCAHeader {
    
    public int nLen = 0;
    
    /** 
    * 1. 기능 : 백업 전환 정보 반환
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @return 백업 전환
    **/                                 
	public String toString() {
	    StringBuffer sbTmp = new StringBuffer();
	
	    sbTmp.append(getKey() + ", " + getLUName() + ", " + getMode() + ", " + getDataType());
	    return sbTmp.toString();
	}
	
    /** 
    * 1. 기능 : DataCode Command 클래스 Constructor
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @param sDataCode       데이타 코드
    **/   
    public WCAAdapterInfoCmd(String sAdapterInfo) {
        this.nLen = WCA_HEADER_LEN + sAdapterInfo.length();       
        this.pHeaderBuff = new byte[nLen];
        setDataType(WCAHeader.DATA_TYPE_WCA_ADPT_INFO);
        System.arraycopy(sAdapterInfo.getBytes(), 0, pHeaderBuff, WCA_HEADER_LEN, sAdapterInfo.getBytes().length);
    }

    /** 
    * 1. 기능 : 데이타 반환
    * 2. 처리 개요 :
    * 3. 주의사항 
    * 
    * @return 데이타
    **/
    public byte[] getData() {
        return pHeaderBuff;
    }    
}
